package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.Dictionary;

/**
 * @Description : 采购合同补充信息
 * @Author : JiaYf
 * @Date: 2021-09-17 17:39
 */
@TableName("purch_contract_replenish_info")
public class PurchContractReplenishInfo extends BaseEntity {

    /** 工程量类别 **/
    @TableField("project_amount_category")
    private String projectAmountCategory;

    /** 工程量类别 **/
    @TableField(exist = false)
    private Dictionary projectAmountCategoryDic;

    /** 货物单价结算方式 **/
    @TableField("goods_price_settle_method")
    private String goodsPriceSettleMethod;

    /** 采购合同基本信息表Id **/
    @TableField("purch_contract_approval_id")
    private Long purchContractApprovalId;

    @TableField(exist = false)
    private String contractName;

    @TableField(exist = false)
    private String contractNumber;

    public String getProjectAmountCategory() {
        return projectAmountCategory;
    }

    public void setProjectAmountCategory(String projectAmountCategory) {
        this.projectAmountCategory = projectAmountCategory;
    }

    public Dictionary getProjectAmountCategoryDic() {
        return projectAmountCategoryDic;
    }

    public void setProjectAmountCategoryDic(Dictionary projectAmountCategoryDic) {
        this.projectAmountCategoryDic = projectAmountCategoryDic;
    }

    public String getGoodsPriceSettleMethod() {
        return goodsPriceSettleMethod;
    }

    public void setGoodsPriceSettleMethod(String goodsPriceSettleMethod) {
        this.goodsPriceSettleMethod = goodsPriceSettleMethod;
    }

    public Long getPurchContractApprovalId() {
        return purchContractApprovalId;
    }

    public void setPurchContractApprovalId(Long purchContractApprovalId) {
        this.purchContractApprovalId = purchContractApprovalId;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }
}
